Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchDatasets.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchDatasets.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchDatasets.component.ts	(revision 49174)
@@ -22,6 +22,8 @@
                  [baseUrl] = "baseUrl" (queryChange)="queryChanged($event)"
                  [csvParams]="csvParams" csvPath="datasets" advancedSearchLink="/search/advanced/datasets"
                  [disableForms]="disableForms"
+                 [loadPaging]="loadPaging"
+                 [oldTotalResults]="oldTotalResults"
                  searchFormClass="datasetsSearchForm">
     </search-page>
     `
@@ -28,6 +30,8 @@
 })
 
 export class SearchDatasetsComponent {
+  private errorCodes: ErrorCodes;
+
   public results =[];
   public filters: Filter[] =[];
   // public totalResults:number  = 0 ;
@@ -43,12 +47,14 @@
   private _location:Location;
   public csvParams: string;
   public disableForms: boolean = false;
+  public loadPaging: boolean = true;
+  public oldTotalResults: number = 0;
 
   @ViewChild (SearchPageComponent) searchPage : SearchPageComponent ;
   constructor (private route: ActivatedRoute, private _searchDatasetsService: SearchDatasetsService ) {
 
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status =errorCodes.LOADING;
+    this.errorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
     this.searchUtils.page =1;
     this.baseUrl = OpenaireProperties.getLinkToSearchDatasets();
 
@@ -60,6 +66,11 @@
      this.searchPage.type = "research data";
      var firstLoad =true;
     this.sub =  this.route.queryParams.subscribe(params => {
+      if(params['page'] && this.searchUtils.page != params['page']) {
+        this.loadPaging = false;
+        this.oldTotalResults = this.searchUtils.totalResults;
+      }
+
       this.searchUtils.keyword = (params['keyword']?params['keyword']:'');
       var refine = true;
       if(this.searchUtils.page != ((params['page']=== undefined)?1:+params['page']) && this.filters && !firstLoad){
@@ -99,10 +110,10 @@
               console.info("search Research Data for "+entity+": [Parameters:"+parameters+" ]  [total results:"+this.searchUtils.totalResults+"]");
               this.results = data[1];
 
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.DONE;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              this.searchUtils.status = this.errorCodes.DONE;
               if(this.searchUtils.totalResults == 0 ){
-                this.searchUtils.status = errorCodes.NONE;
+                this.searchUtils.status = this.errorCodes.NONE;
               }
           },
           err => {
@@ -111,8 +122,15 @@
               // if( ){
               //   this.searchUtils.status = ErrorCodes.ERROR;
               // }
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.ERROR;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              //this.searchUtils.status = errorCodes.ERROR;
+              if(err.status == '404') {
+                this.searchUtils.status = this.errorCodes.NOT_FOUND;
+              } else if(err.status == '500') {
+                this.searchUtils.status = this.errorCodes.ERROR;
+              } else {
+                this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+              }
           }
       );
   }
@@ -134,10 +152,10 @@
               console.info("search Research Data for Dataproviders: [Parameters:"+parameters+" ]  [total results:"+this.searchUtils.totalResults+"]");
               this.results = data[1];
 
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.DONE;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              this.searchUtils.status = this.errorCodes.DONE;
               if(this.searchUtils.totalResults == 0 ){
-                this.searchUtils.status = errorCodes.NONE;
+                this.searchUtils.status = this.errorCodes.NONE;
               }
           },
           err => {
@@ -146,8 +164,15 @@
               // if( ){
               //   this.searchUtils.status = ErrorCodes.ERROR;
               // }
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.ERROR;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              //this.searchUtils.status = errorCodes.ERROR;
+              if(err.status == '404') {
+                this.searchUtils.status = this.errorCodes.NOT_FOUND;
+              } else if(err.status == '500') {
+                this.searchUtils.status = this.errorCodes.ERROR;
+              } else {
+                this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+              }
           }
       );
   }
@@ -175,8 +200,8 @@
   // if(!refine && !this.searchPage){
   //     this.searchPage = new SearchPageComponent(this._location);
   // }
-  var errorCodes:ErrorCodes = new ErrorCodes();
-  this.searchUtils.status = errorCodes.LOADING;
+  //var errorCodes:ErrorCodes = new ErrorCodes();
+  this.searchUtils.status = this.errorCodes.LOADING;
   //this.searchPage.openLoading();
   this.disableForms = true;
   this.results = [];
@@ -192,15 +217,15 @@
           }
           this.searchPage.checkSelectedFilters(this.filters);
           this.searchPage.updateBaseUrlWithParameters(this.filters);
-          var errorCodes:ErrorCodes = new ErrorCodes();
-          this.searchUtils.status = errorCodes.DONE;
+          //var errorCodes:ErrorCodes = new ErrorCodes();
+          this.searchUtils.status = this.errorCodes.DONE;
           if(this.searchUtils.totalResults == 0 ){
-            this.searchUtils.status = errorCodes.NONE;
+            this.searchUtils.status = this.errorCodes.NONE;
           }
           //this.searchPage.closeLoading();
           this.disableForms = false;
 
-          if(this.searchUtils.status == errorCodes.DONE) {
+          if(this.searchUtils.status == this.errorCodes.DONE) {
             // Page out of limit!!!
             let totalPages:any = this.searchUtils.totalResults/(this.searchUtils.size);
             if(!(Number.isInteger(totalPages))) {
@@ -208,7 +233,7 @@
             }
             if(totalPages < page) {
               this.searchUtils.totalResults = 0;
-              this.searchUtils.status = errorCodes.OUT_OF_BOUND;
+              this.searchUtils.status = this.errorCodes.OUT_OF_BOUND;
             }
           }
       },
@@ -218,8 +243,16 @@
           // if( ){
           //   this.searchUtils.status = ErrorCodes.ERROR;
           // }
-          var errorCodes:ErrorCodes = new ErrorCodes();
-          this.searchUtils.status = errorCodes.ERROR;
+          //var errorCodes:ErrorCodes = new ErrorCodes();
+          //this.searchUtils.status = errorCodes.ERROR;
+          if(err.status == '404') {
+            this.searchUtils.status = this.errorCodes.NOT_FOUND;
+          } else if(err.status == '500') {
+            this.searchUtils.status = this.errorCodes.ERROR;
+          } else {
+            this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+          }
+
           //this.searchPage.closeLoading();
           this.disableForms = false;
       }
@@ -233,6 +266,8 @@
   }
 
   public queryChanged($event) {
+    this.loadPaging = true;
+    
     var parameters = $event.value;
     //this.getResults(parameters, this.searchUtils.page, this.searchUtils.size, "searchPage");
     this._getResults(parameters, true, this.searchUtils.page, this.searchUtils.size);
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchPublications.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchPublications.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchPublications.component.ts	(revision 49174)
@@ -25,6 +25,8 @@
                  [csvParams]="csvParams" csvPath="publications"
                  advancedSearchLink="/search/advanced/publications"
                  [disableForms]="disableForms"
+                 [loadPaging]="loadPaging"
+                 [oldTotalResults]="oldTotalResults"
                  searchFormClass="publicationsSearchForm">
     </search-page>
 
@@ -32,6 +34,8 @@
 
 })
 export class SearchPublicationsComponent {
+  private errorCodes: ErrorCodes;
+
   public results =[];
   public filters =[];
   public searchUtils:SearchUtilsClass = new SearchUtilsClass();
@@ -54,10 +58,12 @@
   public CSVDownloaded = false;
   public csvParams: string;
   public disableForms: boolean = false;
+  public loadPaging: boolean = true;
+  public oldTotalResults: number = 0;
 
   constructor (private route: ActivatedRoute, private _searchPublicationsService: SearchPublicationsService ) {
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status =errorCodes.LOADING;
+    this.errorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
     this.searchUtils.page =1;
     this.baseUrl = OpenaireProperties.getLinkToSearchPublications();
 
@@ -69,6 +75,11 @@
     this.searchPage.type = "publications";
     var firstLoad =true;
     this.sub =  this.route.queryParams.subscribe(params => {
+        if(params['page'] && this.searchUtils.page != params['page']) {
+          this.loadPaging = false;
+          this.oldTotalResults = this.searchUtils.totalResults;
+        }
+
         this.searchUtils.keyword = (params['keyword']?params['keyword']:'');
         var refine = true;
         if(this.searchUtils.page != ((params['page']=== undefined)?1:+params['page']) && this.filters && !firstLoad){
@@ -106,10 +117,10 @@
               console.info("search Publications for "+entity+": [Parameters:"+parameters+" ]  [total results:"+this.searchUtils.totalResults+"]");
               this.results = data[1];
 
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.DONE;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              this.searchUtils.status = this.errorCodes.DONE;
               if(this.searchUtils.totalResults == 0 ){
-                this.searchUtils.status = errorCodes.NONE;
+                this.searchUtils.status = this.errorCodes.NONE;
               }
           },
           err => {
@@ -118,8 +129,15 @@
               // if( ){
               //   this.searchUtils.status = ErrorCodes.ERROR;
               // }
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.ERROR;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              //this.searchUtils.status = errorCodes.ERROR;
+              if(err.status == '404') {
+                this.searchUtils.status = this.errorCodes.NOT_FOUND;
+              } else if(err.status == '500') {
+                this.searchUtils.status = this.errorCodes.ERROR;
+              } else {
+                this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+              }
           }
       );
   }
@@ -141,10 +159,10 @@
               console.info("search Publications for Dataproviders: [Parameters:"+parameters+" ]  [total results:"+this.searchUtils.totalResults+"]");
               this.results = data[1];
 
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.DONE;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              this.searchUtils.status = this.errorCodes.DONE;
               if(this.searchUtils.totalResults == 0 ){
-                this.searchUtils.status = errorCodes.NONE;
+                this.searchUtils.status = this.errorCodes.NONE;
               }
           },
           err => {
@@ -153,8 +171,15 @@
               // if( ){
               //   this.searchUtils.status = ErrorCodes.ERROR;
               // }
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.ERROR;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              //this.searchUtils.status = errorCodes.ERROR;
+              if(err.status == '404') {
+                this.searchUtils.status = this.errorCodes.NOT_FOUND;
+              } else if(err.status == '500') {
+                this.searchUtils.status = this.errorCodes.ERROR;
+              } else {
+                this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+              }
           }
       );
   }
@@ -185,8 +210,8 @@
   //     this.searchPage = new SearchPageComponent(this._location);
   // }
 
-  var errorCodes:ErrorCodes = new ErrorCodes();
-  this.searchUtils.status = errorCodes.LOADING;
+  //var errorCodes:ErrorCodes = new ErrorCodes();
+  this.searchUtils.status = this.errorCodes.LOADING;
   //this.searchPage.openLoading();
   this.disableForms = true;
   this.results = [];
@@ -203,16 +228,16 @@
           this.searchPage.checkSelectedFilters(this.filters);
           this.searchPage.updateBaseUrlWithParameters(this.filters);
 
-          var errorCodes:ErrorCodes = new ErrorCodes();
+          //var errorCodes:ErrorCodes = new ErrorCodes();
 
-          this.searchUtils.status = errorCodes.DONE;
+          this.searchUtils.status = this.errorCodes.DONE;
           if(this.searchUtils.totalResults == 0 ){
-            this.searchUtils.status = errorCodes.NONE;
+            this.searchUtils.status = this.errorCodes.NONE;
           }
           //this.searchPage.closeLoading();
           this.disableForms = false;
 
-          if(this.searchUtils.status == errorCodes.DONE) {
+          if(this.searchUtils.status == this.errorCodes.DONE) {
             // Page out of limit!!!
             let totalPages:any = this.searchUtils.totalResults/(this.searchUtils.size);
             if(!(Number.isInteger(totalPages))) {
@@ -220,7 +245,7 @@
             }
             if(totalPages < page) {
               this.searchUtils.totalResults = 0;
-              this.searchUtils.status = errorCodes.OUT_OF_BOUND;
+              this.searchUtils.status = this.errorCodes.OUT_OF_BOUND;
             }
           }
       },
@@ -230,8 +255,16 @@
           // if( ){
           //   this.searchUtils.status = ErrorCodes.ERROR;
           // }
-          var errorCodes:ErrorCodes = new ErrorCodes();
-          this.searchUtils.status = errorCodes.ERROR;
+          //var errorCodes:ErrorCodes = new ErrorCodes();
+          //this.searchUtils.status = errorCodes.ERROR;
+          if(err.status == '404') {
+            this.searchUtils.status = this.errorCodes.NOT_FOUND;
+          } else if(err.status == '500') {
+            this.searchUtils.status = this.errorCodes.ERROR;
+          } else {
+            this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+          }
+
           //this.searchPage.closeLoading();
           this.disableForms = false;
 
@@ -263,6 +296,8 @@
 }*/
 
   public queryChanged($event) {
+    this.loadPaging = true;
+
     var parameters = $event.value;
     console.info("queryChanged: Execute search query "+parameters);
     console.info("Search Pubs::page "+this.searchUtils.page);
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/projectsTab.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/projectsTab.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/projectsTab.component.ts	(revision 49174)
@@ -7,10 +7,11 @@
 @Component({
     selector: 'projectsTab',
     template: `
-        <div *ngIf="fetchProjects.searchUtils.status == errorCodes.NONE" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">No projects available</div>
+        <!--div *ngIf="fetchProjects.searchUtils.status == errorCodes.NONE" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">No projects available</div>
         <div *ngIf="fetchProjects.searchUtils.status == errorCodes.ERROR" class="uk-alert uk-alert-warning uk-animation-fade" role="alert">An Error Occured</div>
         <div *ngIf="fetchProjects.searchUtils.status == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger uk-animation-fade" role="alert">Service not available</div>
-        <div *ngIf="fetchProjects.searchUtils.status == errorCodes.LOADING" class="uk-animation-fade uk-margin-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
+        <div *ngIf="fetchProjects.searchUtils.status == errorCodes.LOADING" class="uk-animation-fade uk-margin-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div-->
+        <errorMessages [status]="[fetchProjects.searchUtils.status]" [type]="'projects'"></errorMessages>
 
         <!--div *ngIf="fetchProjects.searchUtils.totalResults == 0" class = "uk-alert">
             No projects available
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/dataProvider.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/dataProvider.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/dataProvider.component.ts	(revision 49174)
@@ -160,7 +160,7 @@
             }
         },
         err => {
-          console.log(err)
+          console.log(err);
           // console.info("error");
           this.errorMessage = 'No dataProvider found';
           this.showLoading = false;
@@ -271,11 +271,9 @@
    }
 
    private searchPublications(page: number, size: number) {
-     if(this.fetchPublications.searchUtils.status == this.errorCodes.NONE) {
-       this.reloadPublications = false;
-     }
-
-     if(this.reloadPublications) {
+     if(  this.reloadPublications &&
+          ( this.fetchPublications.searchUtils.status == this.errorCodes.LOADING ||
+            this.fetchPublications.searchUtils.status == this.errorCodes.DONE ) ) {
        this.fetchPublications.getResultsForDataproviders(this.datasourceId, this.dataProviderInfo.resultsBy, page, size);
      }
      this.reloadPublications = false;
@@ -286,11 +284,9 @@
     }
 
     private searchDatasets(page: number, size: number) {
-      if(this.fetchDatasets.searchUtils.status == this.errorCodes.NONE) {
-        this.reloadDatasets = false;
-      }
-
-      if(this.reloadDatasets) {
+      if( this.reloadDatasets &&
+          ( this.fetchDatasets.searchUtils.status == this.errorCodes.LOADING ||
+            this.fetchDatasets.searchUtils.status == this.errorCodes.DONE ) ) {
         this.fetchDatasets.getResultsForDataproviders(this.datasourceId, this.dataProviderInfo.resultsBy, page, size);
       }
       this.reloadDatasets = false;
@@ -301,11 +297,9 @@
     }
 
     private searchProjects(page: number, size: number) {
-      if(this.fetchProjects.searchUtils.status == this.errorCodes.NONE) {
-        this.reloadProjects = false;
-      }
-
-      if(this.reloadProjects) {
+      if( this.reloadProjects &&
+          ( this.fetchProjects.searchUtils.status == this.errorCodes.LOADING ||
+            this.fetchProjects.searchUtils.status == this.errorCodes.DONE ) ) {
         this.fetchProjects.getResultsForDataproviders(this.datasourceId, page, size);
       }
       this.reloadProjects = false;
@@ -316,11 +310,9 @@
     }
 
     private searchDatasources(page: number, size: number) {
-      if(this.fetchDataproviders.searchUtils.status == this.errorCodes.NONE) {
-        this.reloadDataproviders = false;
-      }
-
-      if(this.reloadDataproviders) {
+      if( this.reloadDataproviders &&
+          ( this.fetchDataproviders.searchUtils.status == this.errorCodes.LOADING ||
+            this.fetchDataproviders.searchUtils.status == this.errorCodes.DONE ) ) {
         this.fetchDataproviders.getResultsForDataproviders(this.datasourceId, page, size);
       }
       this.reloadDataproviders = false;
@@ -332,13 +324,13 @@
 
     private searchRelatedDatasources(page: number, size: number) {
       // Currently no counting is done for this tab. Following condition is always false
-      if(this.fetchAggregatorsPublications.searchUtils.status == this.errorCodes.NONE
-          && this.fetchAggregatorsDatasets.searchUtils.status == this.errorCodes.NONE) {
-        this.reloadRelatedDatasources = false;
-        this.loadingRelatedDatasources = false;
-      }
 
-      if(this.reloadRelatedDatasources) {
+      if( this.reloadRelatedDatasources &&
+          ( this.fetchAggregatorsPublications.searchUtils.status == this.errorCodes.LOADING ||
+            this.fetchAggregatorsPublications.searchUtils.status == this.errorCodes.DONE )
+          &&
+          ( this.fetchAggregatorsDatasets.searchUtils.status == this.errorCodes.LOADING ||
+            this.fetchAggregatorsDatasets.searchUtils.status == this.errorCodes.DONE ) ) {
         this.relatedDatasourcesSub = Observable.merge(this.fetchAggregatorsPublications.requestComplete, this.fetchAggregatorsDatasets.requestComplete)
                                .subscribe(
                                  data => {},
@@ -348,7 +340,9 @@
 
          this.fetchAggregatorsPublications.getAggregatorResults(this.datasourceId, page, size);
          this.fetchAggregatorsDatasets.getAggregatorResults(this.datasourceId, page, size);
-        }
+       } else {
+         this.loadingRelatedDatasources = false;
+       }
 
 
       this.reloadRelatedDatasources = false;
@@ -361,7 +355,8 @@
 
 
     private preprocessRelatedDatasources() {
-      if(this.fetchAggregatorsPublications.searchUtils.status == this.errorCodes.DONE || this.fetchAggregatorsDatasets.searchUtils.status == this.errorCodes.DONE) {
+      if( this.fetchAggregatorsPublications.searchUtils.status == this.errorCodes.DONE ||
+          this.fetchAggregatorsDatasets.searchUtils.status == this.errorCodes.DONE ) {
         this.dataProviderInfo.relatedDatasources = new Map<string, {"name": string, "countPublications": string, "countDatasets": string}>();
       }
       for(let result of this.fetchAggregatorsPublications.results) {
@@ -379,7 +374,6 @@
           this.dataProviderInfo.relatedDatasources.get(result.id).countDatasets = parseInt(this.dataProviderInfo.relatedDatasources.get(result.id).countDatasets + result.count)+"";
         }
       }
-
       this.loadingRelatedDatasources = false;
     }
 
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/dataProvider.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/dataProvider.module.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/dataProvider.module.ts	(revision 49174)
@@ -4,10 +4,11 @@
 import { RouterModule } from '@angular/router';
 
 import {IFrameModule} from '../../utils/iframe.module';
+import {ErrorMessagesModule} from '../../utils/errorMessages.module';
 // import { ResultLandingModule } from '../resultLanding.module';
 import {TabResultModule } from '../../searchPages/searchUtils/tabResult.module';
-import {MetricsModule} from '../metrics.module';
-import { LandingModule } from '../landing.module';
+import {MetricsModule} from '../landing-utils/metrics.module';
+import {LandingModule} from '../landing-utils/landing.module';
 import {PagingModule} from '../../utils/paging.module';
 
 import {PublicationsTabComponent} from './publicationsTab.component';
@@ -20,7 +21,7 @@
 // import {TabsComponent} from './tabs.component';
 
 import {DataProviderComponent} from './dataProvider.component';
-import { DataProviderService} from './dataProvider.service';
+import {DataProviderService} from './dataProvider.service';
 import {DataProvidersServiceModule} from '../../services/dataProvidersService.module';
 import {DatasetsServiceModule} from '../../services/datasetsService.module';
 import {ProjectsServiceModule} from '../../services/projectsService.module';
@@ -32,7 +33,7 @@
 @NgModule({
   imports:
   [CommonModule, FormsModule, RouterModule,DataProviderRoutingModule,
-    TabResultModule, IFrameModule, MetricsModule, LandingModule,
+    TabResultModule, IFrameModule, ErrorMessagesModule, MetricsModule, LandingModule,
     DataProvidersServiceModule, DatasetsServiceModule, ProjectsServiceModule, PublicationsServiceModule,
     PagingModule],
   declarations:
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/organization/organization.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/organization/organization.module.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/organization/organization.module.ts	(revision 49174)
@@ -5,6 +5,7 @@
 
 import {LoadingModalModule} from '../../utils/modal/loadingModal.module';
 import {AlertModalModule} from '../../utils/modal/alertModal.module';
+import {ErrorMessagesModule} from '../../utils/errorMessages.module';
 
 import { OrganizationServiceModule} from '../../services/organizationService.module';
 // import { ProjectsServiceModule} from '../../services/projectsService.module';
@@ -11,7 +12,7 @@
 import { OrganizationComponent } from './organization.component';
 import { OrganizationRoutingModule } from './organization-routing.module';
 
-import { LandingModule } from '../landing.module';
+import { LandingModule } from '../landing-utils/landing.module';
 import {TabResultModule } from '../../searchPages/searchUtils/tabResult.module';
 import {DataProvidersServiceModule} from '../../services/dataProvidersService.module';
 import {ReportsServiceModule} from '../../services/reportsService.module';
@@ -18,13 +19,13 @@
 import {PublicationsServiceModule} from '../../services/publicationsService.module';
 import {ProjectsServiceModule} from '../../services/projectsService.module';
 
-import { SearchingProjectsTabModule} from '../searchingProjectsInTab.module';
+import { SearchingProjectsTabModule} from '../landing-utils/searchingProjectsInTab.module';
 import {FreeGuard} from'../../login/freeGuard.guard';
 
 @NgModule({
   imports: [
     CommonModule, FormsModule, RouterModule,
-    LoadingModalModule, AlertModalModule,
+    LoadingModalModule, AlertModalModule, ErrorMessagesModule,
     LandingModule,
     OrganizationRoutingModule,
     TabResultModule,
